diff --git a/src/devices/cpu/m6809/6x09dasm.cpp b/src/devices/cpu/m6809/6x09dasm.cpp
index d43e1ce612b..bd2319202a5 100644
--- a/src/devices/cpu/m6809/6x09dasm.cpp
+++ b/src/devices/cpu/m6809/6x09dasm.cpp
@@ -794,7 +794,7 @@ const m6x09_base_disassembler::opcodeinfo m6x09_disassembler::m6x09_opcodes[] =
 	{ 0x113B, 1, "TFM",   IMM_TFM,  HD6309_EXCLUSIVE },
 	{ 0x113C, 1, "BITMD", IMM,      HD6309_EXCLUSIVE },
 	{ 0x113D, 1, "LDMD",  IMM,      HD6309_EXCLUSIVE },
-	{ 0x113E, 0, "XFIRQ", INH,      M6809_UNDOCUMENTED },
+	{ 0x113E, 0, "Break", INH,      M6x09_GENERAL },
 	{ 0x113F, 0, "SWI3",  INH,      M6x09_GENERAL },
 
 	{ 0x1143, 0, "COME",  INH,  HD6309_EXCLUSIVE },
diff --git a/src/devices/cpu/m6809/hd6309.lst b/src/devices/cpu/m6809/hd6309.lst
index bcab03276dc..225d9f30e3d 100644
--- a/src/devices/cpu/m6809/hd6309.lst
+++ b/src/devices/cpu/m6809/hd6309.lst
@@ -431,6 +431,7 @@ DISPATCH11:
 		case 0x3B:                                                  %TFM;       return;
 		case 0x3C:              set_regop8(m_md);       set_imm();  %BIT8;      return;
 		case 0x3D:              set_regop8(m_md);       set_imm();  %LD8;       return;
+		case 0x3E:              machine().debug_break();                        return;
 		case 0x3F:                                                  %SWI3;      return;
 
 		case 0x43:                                      set_e();    %COM8;      return;
diff --git a/src/devices/cpu/m6809/m6809.lst b/src/devices/cpu/m6809/m6809.lst
index 4f2b8077bb5..b0f35a0190c 100644
--- a/src/devices/cpu/m6809/m6809.lst
+++ b/src/devices/cpu/m6809/m6809.lst
@@ -364,7 +364,7 @@ DISPATCH11:
 		case 0x10:                                                  %DISPATCH11; return;
 		case 0x11:                                                  %DISPATCH11; return;
 
-		case 0x3E:                                                  %XFIRQ;      return;
+		case 0x3E:              machine().debug_break();                        return;
 		case 0x3F:                                                  %SWI3;      return;
 		case 0x83:              set_regop16(m_u);       set_imm();  %CMP16;     return;
 		case 0x8C:              set_regop16(m_s);       set_imm();  %CMP16;     return;
